Skip to main content
`Ctrl`+`K`

# PCHYPRESetType

Sets which hypre preconditioner you wish to use

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetType(PC pc, const char name[])

## Input Parameters

- pc - the preconditioner context

- name - either euclid, pilut, parasails, boomeramg, ams, ads

## Options Database Key

- pc_hypre_type - One of euclid, pilut, parasails, boomeramg, ams, ads

## See Also

KSP: Linear System Solvers, `PCCreate()`, `PCSetType()`, `PCType`, `PC`, `PCHYPRE`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

## Implementations

PCHYPRESetType_HYPRE() in src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages